# Create county check Create a new county criminal check for a specific county jurisdiction. This endpoint initiates a county-level criminal background check using either provided PII (personally identifiable information) or an existing profile. Required fields when providing PII (without profile_id): - first_name - last_name - dob - state - county_fips_code When using a profile_id, only state and county_fips_code are required. Endpoint: POST /county_checks Version: 1.0 Security: get-bearer-token-using-oauth2 ## Query parameters: - `include` (array) Include related resources in the response ## Response 201 fields (application/json): - `id` (string) A universally unique identifier (UUID) in standard format. - `created_at` (string) An ISO 8601 formatted date-time string. - `completed_at` (any) The timestamp when the check was completed. Null if still pending. - `check_type` (string) The type of county check. Enum: "county_criminal" - `status` (string) The current status of the county check. Enum: "pending", "completed", "cancelled" - `reference_id` (string) A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens. - `search_criteria` (object) The search criteria used for the county check. - `search_criteria.first_name` (string) First name of the person. Example: "Jane" - `search_criteria.middle_name` (string) Middle name of the person. Example: "Mary" - `search_criteria.last_name` (string) Last name of the person. Example: "Smith" - `search_criteria.dob` (string) Date of birth in the form YYYYMMDD. Example: "19950401" - `search_criteria.state` (string) The two-letter US state code. - `search_criteria.county_fips_code` (string) The FIPS code for the county. Example: "06075" - `search_criteria.lookback_period_in_years` (integer) The number of years to look back for criminal records. Example: 7 - `results` (array) The results of the county check. Empty array if no records found or if the check is still pending. - `results.category` (string) A categorization of the type of record returned. Maps closely to the source category, except PA sources can contain either Patriot or Registry records. Enum: "arrest", "Criminal/traffic", "Warrant", "Sex Offender", "Patriot", "Registry" - `results.person` (object) - `results.person.first_name` (string) Example: "John" - `results.person.middle_name` (string) middle initial or name or names Example: "W" - `results.person.last_name` (string) Example: "Smith" - `results.person.suffix` (string) - `results.person.full_name` (string) Example: "Smith, John W." - `results.person.dob` (string) A date or partial date in the form YYYYMMDD. Since some dates are partial, they may be represented as YYYY0000 or 0000MMDD or YYYYMM00. - `results.person.inferred_dob` (string) Some records which do not already have a full DOB may have an inferred full DOB that was found by other means. For example a record may have no dob, or only a partial dob, but we were able to inferred a full dob using other similar records. - `results.person.doc_number` (string) Dept. of Corrections number. A number or identifier given by a state Dept. of Corrections to identify a person who went to prison. - `results.person.gender` (string) The gender, if any, as recorded by the source. No specific format. Example: "M" - `results.person.height` (string) The height, if any, as recorded by the source. No specific format. Example: "601" - `results.person.weight` (string) The weight, if any, as recorded by the source. No specific format. Example: "180" - `results.person.hair_color` (string) The hair color, if any, as recorded by the source. No specific format. Example: "BRN" - `results.person.eye_color` (string) The eye color if any, as recorded by the source. No specific format. Example: "HAZ" - `results.person.skin_color` (string) The skin color, if any, as recorded by the source. No specific format. Example: "wht" - `results.person.race` (string) The race as defined by the source. No specific format. Example: "W" - `results.person.ethnicity` (string) The ethnicity, if any, as recorded by the source. No specific format. Example: "Hispanic-American" - `results.person.physical_build` (string) The physical build, if any, as recorded by the source. No specific format. Example: "BROAD" - `results.person.physical_marks` (string) Scars, marks, and tattoos as defined by the source. No specific format. Example: "blue cross on outside left ankle" - `results.person.photo_urls` (array) A set of URLs referencing pictures of this person, as recorded by the source. - `results.person.name_aliases` (array) Other names that this person may have gone by. Example: ["Johnny Smith"] - `results.person.dob_aliases` (array) Other dates of birth that this person may have used. Example: ["19940321"] - `results.person.addresses` (array) Addresses that are recorded for this person on this record. - `results.person.addresses.street` (string, required) The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching. Example: "123 Main St" - `results.person.addresses.city` (string, required) The name of the city or municipality. Example: "Frankfort" - `results.person.addresses.state` (string, required) The two-letter US state code where the address is located. - `results.person.addresses.zip_code` (string, required) The US postal ZIP code for the address. - `results.person.addresses.country` (string) The two-letter country code, typically "US" for United States addresses. - `results.cases` (array) Only fields that have a value are returned. Most cases will have only a subset of these fields. - `results.cases.case_number` (string) The case number assigned by a court. Not present for records which are not from a court. Format varies. Example: "2025-99999" - `results.cases.type` (string) The case type as reported by the court. Not present for records which are not from a court. Format varies. - `results.cases.status` (string) The case status as reported by the court. Sparsely available. Format varies. - `results.cases.file_date` (string) The date the case was filed as reported by the court. Not present for records which are not from a court. - `results.cases.arresting_agency` (string) The name of the arresting agency. Example: "Franklin County Sheriff" - `results.cases.arrest_date` (string) The date the person was arrested. - `results.cases.court_name` (string) The name of the charging court. Example: "Franklin County Circuit Court" - `results.cases.court_county` (string) The county of the charging court. Example: "Franklin" - `results.cases.charges` (array) Only fields that have a value are returned. Most charges will have only a subset of these fields. - `results.cases.charges.description` (string) The description of the offense, as reported on the record. Format varies. Example: "SHOPLIFTING" - `results.cases.charges.offense_date` (string) A date or partial date in the form YYYYMMDD. Since some dates are partial, they may be represented as YYYY0000 or 0000MMDD or YYYYMM00. - `results.cases.charges.legal_code` (string) Legal code (statute) as reported by the court or arresting agency. Example: "433.234" - `results.cases.charges.type` (string) the type (level, severity) of a charge Enum: "felony", "misdemeanor", "petty_offense", "unknown" - `results.cases.charges.category` (string) the highest level of categorization of a charge Enum: "Criminal Intent", "Drugs & Alcohol", "Fraud & Deception", "Homicide", "Security", "Sexual", "Statutory", "Theft & Property", "Vehicles & Traffic", "Violence", "unclassified" - `results.cases.charges.subcategory` (string) the second level of categorization of a charge Enum: "Accessory", "Conspiracy", "Court Orders", "Criminal Tools", "Obstruction", "Organized Crime", "Alcohol & Tobacco", "Driving under the Influence (DUI)", "Drugs-Marijuana Possession/Use", "Drugs-Possession/Use", "Drugs-Sale & Manufacture", "Bribery & Corruption", "Business & Tax", "Cyber Crimes", "Embezzlement", "Forgery", "Fraud", "Identity Theft & Impersonation", "Worthless Check", "Attempted Homicide", "Intentional Homicide", "Unintentional Killing", "Immigration", "Terrorism", "Treason", "Lewd Behavior", "Prostitution", "Sexual Abuse", "Animal Ordinances", "Custody & Support", "Fish & Game", "Gambling", "Miscellaneous Citations & Violations", "Public Nuisance", "Safety & Zoning", "Arson", "Burglary", "Petty Theft", "Possession of Stolen Property", "Robbery", "Theft", "Trespassing", "Vandalism & Mischief", "License & Registration", "Parking", "Speeding", "Unsafe Operation", "Vehicle Equipment", "Abduction & Restraint", "Animal Cruelty", "Assault & Battery", "Child & Elder Abuse", "Disorderly Behavior", "Harassment & Threats", "Weapons & Endangerment", "unclassified" - `results.cases.charges.subsubcategory` (string) The lowest (most detailed) level of categorization of a charge. There are over 250 of these. They are one of the categorizations on which rulesets operate. - `results.cases.charges.record_date` (string) Date of the record. This is not part of the record itself. It is a field calculated by Checkr Trust. It is the field used to determine if the charge is within the lookback period. Although there are many other situations, often a convicted charge has a record_date which is the disposition_date, and a non-conviction charge has a record_date which is the filing date. - `results.cases.charges.city` (string) The name of the city where the person was charged Example: "Indian Hills" - `results.cases.charges.county` (string) The name of the county where the person was charged Example: "Jefferson" - `results.cases.charges.state` (string) The state where the person was charged Example: "KY" - `results.cases.charges.sentences` (array) - `results.cases.charges.sentences.conviction_date` (string) A date or partial date in the form YYYYMMDD. Since some dates are partial, they may be represented as YYYY0000 or 0000MMDD or YYYYMM00. - `results.cases.charges.sentences.details` (string) Description of the sentence, if any Example: "fine, 1D" - `results.cases.charges.dispositions` (array) - `results.cases.charges.dispositions.disposition` (string) A description of the disposition, as provided by the court, if any. Example: "GLT" - `results.cases.charges.dispositions.disposition_date` (string) A date or partial date in the form YYYYMMDD. Since some dates are partial, they may be represented as YYYY0000 or 0000MMDD or YYYYMM00. - `results.cases.charges.dispositions.disposition_type` (string) the type of disposition Enum: "Conviction", "Dismissed", "Invalid", "Merged", "Pending", "Transferred", "Warrant", "Unclassified" - `results.source` (object) - `results.source.id` (string) An identifier for the source. E.g. "cookil" or "NJ_Supreme_Ct_view". Can be used to programmatically exclude a source. Example: "ARSTfranklinKY" - `results.source.category` (string) A categorization of the type of source where the data was retrieved. Some of the categories may not imply wrongdoing, and are excluded by default. Enum: "arrest", "court", "criminal registry", "DOC", "warrant", "sex offender registry", "domestic watchlist", "foreign watchlist", "healthcare registry", "healthcare sanctions", "financial registry", "financial sanctions", "other registry", "other sanctions", "PEP registry" - `results.source.name` (string) A human-understandable (English) name of the source. Example: "KY Franklin County Inmates" - `results.source.county` (string) The name of the county (if any) where the record came from. Example: "Franklin" - `results.source.state` (string) A two-letter US state code. ## Response 400 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 401 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 403 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 429 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 500 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 502 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name"